if BUILD_SESSION_PLUGIN
# Simple component buildsystem
include $(top_srcdir)/build.plugins.rules.mk

module_LTLIBRARIES = libsessionglue.la
else
EXTRA_LTLIBRARIES = libsessionglue.la
endif

ASSEMBLY = Session
TARGET = library

CONFIG_FILES = Session.dll.config.in

FILES = \
	src/SessionPlugin.cs

REFERENCES =  \
	System

PROJECT_REFERENCES = \
	Tangerine

libsessionglue_la_SOURCES = \
	src/session-glue.c

libsessionglue_la_LDFLAGS = -L/usr/X11R6/lib -avoid-version
libsessionglue_la_LIBADD = -lSM
